#99339 Report by node travis-ci covering 2076 tests from 55 modules resulted into 24 errors

Report

ObsPy Version
1.1.1rc1.post0+436.g3ffa320...
Continuous Integration
https://travis-ci.org/obspy/obspy/jobs/448780873
GitHub Pull Request
-
Report File
XML Document
Total Runtime
751.0 sec
Report Date/Time
2018-10-31 06:18:12

System / Python

Architecture
64bit
Machine
x86_64
Node
travis-ci
Processor
x86_64
Python Compiler
GCC 7.3.0
Python Implementation
CPython
Python Version
3.7.0
Release
4.14.12-041412-generic
System
Linux
Version
#201801051649 SMP Fri Jan 5 16:50:54 UTC 2018

Dependencies

cartopy
---
decorator
4.3.0
flake8
---
future
0.16.0
geographiclib
1.49
lxml.etree
4.2.5
m2crypto
---
matplotlib
3.0.1
mock
2.0.0
mpl_toolkits.basemap
1.1.0
numpy
1.15.3
pep8-naming
---
pyflakes
---
pyimgur
0.5.2
pyproj
1.9.5.1
requests
2.19.1
scipy
1.1.0
setuptools
40.4.3
shapefile
1.2.12
sqlalchemy
1.2.12

Modules (55)

Module Errors /
Failures
Tracebacks
obspy.clients.arclink - -
obspy.clients.earthworm 2 1 2
obspy.clients.fdsn 1 3
obspy.clients.filesystem 2 4 5
obspy.clients.iris - -
obspy.clients.neic 4 6 7 8 9
obspy.clients.nrl 1 10
obspy.clients.seedlink - -
obspy.clients.seishub - -
obspy.clients.syngine - -
obspy.core 12 11 12 13 14 15 16 17 18 19 20 21 22
obspy.db - -
obspy.geodetics - -
obspy.imaging - -
obspy.io.ah - -
obspy.io.arclink - -
obspy.io.ascii - -
obspy.io.cmtsolution - -
obspy.io.cnv - -
obspy.io.css - -
obspy.io.gcf - -
obspy.io.gse2 - -
obspy.io.iaspei - -
obspy.io.json - -
obspy.io.kinemetrics - -
obspy.io.kml - -
obspy.io.mseed - -
obspy.io.ndk - -
obspy.io.nied - -
obspy.io.nlloc - -
obspy.io.nordic - -
obspy.io.pdas - -
obspy.io.pde - -
obspy.io.quakeml - -
obspy.io.reftek - -
obspy.io.rg16 - -
obspy.io.sac - -
obspy.io.scardec - -
obspy.io.seg2 - -
obspy.io.segy - -
obspy.io.seisan - -
obspy.io.seiscomp - -
obspy.io.sh - -
obspy.io.shapefile - -
obspy.io.stationtxt - -
obspy.io.stationxml - -
obspy.io.wav - -
obspy.io.win - -
obspy.io.xseed - -
obspy.io.y - -
obspy.io.zmap - -
obspy.realtime - -
obspy.scripts - -
obspy.signal 2 23 24
obspy.taup - -
Summary 24 24

Tracebacks (24)

Traceback (most recent call last):
File "<decorator-gen-56>", line 2, in test_save_waveform
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/util/decorator.py", line 126, in skip_on_network_error
return func(*args, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/clients/earthworm/tests/test_client.py", line 97, in test_save_waveform
format="SLIST")
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/clients/earthworm/client.py", line 167, in save_waveforms
st.write(filename, format=format)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/stream.py", line 1423, in write
raise ObsPyException(msg)
obspy.core.util.obspy_types.ObsPyException: Can not write empty stream to file.
Traceback (most recent call last):
File "<decorator-gen-55>", line 2, in test_get_waveform
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/util/decorator.py", line 126, in skip_on_network_error
return func(*args, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/clients/earthworm/tests/test_client.py", line 41, in test_get_waveform
self.assertEqual(len(stream), 1)
AssertionError: 0 != 1
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/clients/fdsn/tests/test_client.py", line 696, in test_dataselect_bulk
self.assertEqual(got, expected, failmsg(got, expected))
AssertionError: <obspy.core.stream.Stream object at 0x7fb1d526b278> != <obspy.core.stream.Stream object at 0x7fb1d526b358> :
Got:
2 Trace(s) in Stream:
TA.A25A..BHE | 2010-03-25T00:00:00.000001Z - 2010-03-25T00:00:05.975001Z | 40.0 Hz, 240 samples
TA.A25A..BHZ | 2010-03-25T00:00:00.000000Z - 2010-03-25T00:00:04.000000Z | 40.0 Hz, 161 samples
Expected:
1 Trace(s) in Stream:
TA.A25A..BHE | 2010-03-25T00:00:00.000001Z - 2010-03-25T00:00:05.975001Z | 40.0 Hz, 240 samples
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/sre_parse.py", line 1021, in parse_template
this = chr(ESCAPES[this][1])
KeyError: '\\w'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/clients/filesystem/tests/test_sds.py", line 241, in test_get_all_stations_and_nslc
got_netsta = client.get_all_stations()
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/clients/filesystem/sds.py", line 572, in get_all_stations
dict_ = _parse_path_to_dict(file_, pattern_, group_map)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/clients/filesystem/sds.py", line 608, in _parse_path_to_dict
regex = re.sub(FORMAT_STR_PLACEHOLDER_REGEX, r'(\w*?)', regex) + "$"
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/re.py", line 192, in sub
return _compile(pattern, flags).sub(repl, string, count)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/re.py", line 309, in _subx
template = _compile_repl(template, pattern)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/re.py", line 300, in _compile_repl
return sre_parse.parse_template(repl, pattern)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/sre_parse.py", line 1024, in parse_template
raise s.error('bad escape %s' % this, len(this))
re.error: bad escape \w at position 1
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/sre_parse.py", line 1021, in parse_template
this = chr(ESCAPES[this][1])
KeyError: '\\w'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/clients/filesystem/tests/test_sds.py", line 184, in test_sds_report
sds_report(argv)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/scripts/sds_html_report.py", line 369, in main
for net, sta in client.get_all_stations():
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/clients/filesystem/sds.py", line 572, in get_all_stations
dict_ = _parse_path_to_dict(file_, pattern_, group_map)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/clients/filesystem/sds.py", line 608, in _parse_path_to_dict
regex = re.sub(FORMAT_STR_PLACEHOLDER_REGEX, r'(\w*?)', regex) + "$"
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/re.py", line 192, in sub
return _compile(pattern, flags).sub(repl, string, count)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/re.py", line 309, in _subx
template = _compile_repl(template, pattern)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/re.py", line 300, in _compile_repl
return sre_parse.parse_template(repl, pattern)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/sre_parse.py", line 1024, in parse_template
raise s.error('bad escape %s' % this, len(this))
re.error: bad escape \w at position 1
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/doctest.py", line 2198, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.clients.neic.client.Client
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/clients/neic/client.py", line 25, in Client
----------------------------------------------------------------------
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/clients/neic/client.py", line 46, in obspy.clients.neic.client.Client
Failed example:
print(st) # doctest: +ELLIPSIS
Expected:
3 Trace(s) in Stream:
IU.ANMO.00.BH... | 20.0 Hz, 201 samples
IU.ANMO.00.BH... | 20.0 Hz, 201 samples
IU.ANMO.00.BH... | 20.0 Hz, 201 samples
Got:
3 Trace(s) in Stream:
IU.ANMO.00.BH1 | 2018-10-31T06:12:01.819538Z - 2018-10-31T06:12:11.819538Z | 40.0 Hz, 401 samples
IU.ANMO.00.BH2 | 2018-10-31T06:12:01.819538Z - 2018-10-31T06:12:11.819538Z | 40.0 Hz, 401 samples
IU.ANMO.00.BHZ | 2018-10-31T06:12:01.819538Z - 2018-10-31T06:12:11.819538Z | 40.0 Hz, 401 samples
----------------------------------------------------------------------
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/clients/neic/client.py", line 52, in obspy.clients.neic.client.Client
Failed example:
print(st) # doctest: +ELLIPSIS
Expected:
3 Trace(s) in Stream:
IU.ANMO.00.BH... | 20.0 Hz, 201 samples
IU.ANMO.00.BH... | 20.0 Hz, 201 samples
IU.ANMO.00.BH... | 20.0 Hz, 201 samples
Got:
3 Trace(s) in Stream:
IU.ANMO.00.BH1 | 2018-10-31T06:12:01.819538Z - 2018-10-31T06:12:11.819538Z | 40.0 Hz, 401 samples
IU.ANMO.00.BH2 | 2018-10-31T06:12:01.819538Z - 2018-10-31T06:12:11.819538Z | 40.0 Hz, 401 samples
IU.ANMO.00.BHZ | 2018-10-31T06:12:01.819538Z - 2018-10-31T06:12:11.819538Z | 40.0 Hz, 401 samples
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/doctest.py", line 2198, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.clients.neic.client.Client.get_waveforms
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/clients/neic/client.py", line 73, in get_waveforms
----------------------------------------------------------------------
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/clients/neic/client.py", line 113, in obspy.clients.neic.client.Client.get_waveforms
Failed example:
print(st) # doctest: +ELLIPSIS
Expected:
3 Trace(s) in Stream:
IU.ANMO.00.BH... | 20.0 Hz, 201 samples
IU.ANMO.00.BH... | 20.0 Hz, 201 samples
IU.ANMO.00.BH... | 20.0 Hz, 201 samples
Got:
3 Trace(s) in Stream:
IU.ANMO.00.BH1 | 2018-10-31T06:12:02.569538Z - 2018-10-31T06:12:12.569538Z | 40.0 Hz, 401 samples
IU.ANMO.00.BH2 | 2018-10-31T06:12:02.569538Z - 2018-10-31T06:12:12.569538Z | 40.0 Hz, 401 samples
IU.ANMO.00.BHZ | 2018-10-31T06:12:02.569538Z - 2018-10-31T06:12:12.569538Z | 40.0 Hz, 401 samples
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/doctest.py", line 2198, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.clients.neic.client.Client.get_waveforms_nscl
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/clients/neic/client.py", line 130, in get_waveforms_nscl
----------------------------------------------------------------------
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/clients/neic/client.py", line 164, in obspy.clients.neic.client.Client.get_waveforms_nscl
Failed example:
print(st) # doctest: +ELLIPSIS
Expected:
3 Trace(s) in Stream:
IU.ANMO.00.BH... | 20.0 Hz, 201 samples
IU.ANMO.00.BH... | 20.0 Hz, 201 samples
IU.ANMO.00.BH... | 20.0 Hz, 201 samples
Got:
3 Trace(s) in Stream:
IU.ANMO.00.BH1 | 2018-10-31T06:12:02.869538Z - 2018-10-31T06:12:12.869538Z | 40.0 Hz, 401 samples
IU.ANMO.00.BH2 | 2018-10-31T06:12:02.869538Z - 2018-10-31T06:12:12.869538Z | 40.0 Hz, 401 samples
IU.ANMO.00.BHZ | 2018-10-31T06:12:02.869538Z - 2018-10-31T06:12:12.869538Z | 40.0 Hz, 401 samples
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/clients/neic/tests/test_client.py", line 71, in test_get_waveform_nscl
self.assertEqual(stats.sampling_rate, 20.0)
AssertionError: 40.0 != 20.0
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/doctest.py", line 2198, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.clients.nrl.client.NRL.get_response
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/clients/nrl/client.py", line 183, in get_response
----------------------------------------------------------------------
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/clients/nrl/client.py", line 194, in obspy.clients.nrl.client.NRL.get_response
Failed example:
response = nrl.get_response(
sensor_keys=['Nanometrics', 'Trillium Compact', '120 s'],
datalogger_keys=['REF TEK', 'RT 130 & 130-SMA', '1', '200'])
Exception raised:
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/doctest.py", line 1329, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.nrl.client.NRL.get_response[1]>", line 3, in <module>
datalogger_keys=['REF TEK', 'RT 130 & 130-SMA', '1', '200'])
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/clients/nrl/client.py", line 214, in get_response
sensor_resp = self.get_sensor_response(sensor_keys)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/clients/nrl/client.py", line 176, in get_sensor_response
sensor = sensor[key]
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/clients/nrl/client.py", line 250, in __getitem__
value = super(NRLDict, self).__getitem__(name)
KeyError: 'Trillium Compact'
----------------------------------------------------------------------
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/clients/nrl/client.py", line 197, in obspy.clients.nrl.client.NRL.get_response
Failed example:
print(response) # doctest: +NORMALIZE_WHITESPACE +ELLIPSIS
Exception raised:
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/doctest.py", line 1329, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.nrl.client.NRL.get_response[2]>", line 1, in <module>
print(response) # doctest: +NORMALIZE_WHITESPACE +ELLIPSIS
NameError: name 'response' is not defined
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/tests/test_event.py", line 532, in test_catalog_plot_global
cat.plot(method='basemap', outfile=ic.name)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/event/catalog.py", line 766, in plot
show=False, fig=fig, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 786, in plot_map
return plot_basemap(*args, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 249, in plot_basemap
**kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 470, in _plot_basemap_into_axes
cmap=colormap)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 567, in with_transform
return plotfunc(self,x,y,*args,**kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 3262, in scatter
self._restore_hold(ax)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 3238, in _restore_hold
ax._hold = self._tmp_hold
AttributeError: can't set attribute
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/tests/test_event.py", line 577, in test_catalog_plot_local
color='date', colormap='gist_heat')
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/event/catalog.py", line 766, in plot
show=False, fig=fig, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 786, in plot_map
return plot_basemap(*args, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 249, in plot_basemap
**kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 470, in _plot_basemap_into_axes
cmap=colormap)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 567, in with_transform
return plotfunc(self,x,y,*args,**kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 3262, in scatter
self._restore_hold(ax)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 3238, in _restore_hold
ax._hold = self._tmp_hold
AttributeError: can't set attribute
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/tests/test_event.py", line 545, in test_catalog_plot_ortho
color='date')
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/event/catalog.py", line 766, in plot
show=False, fig=fig, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 786, in plot_map
return plot_basemap(*args, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 249, in plot_basemap
**kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 470, in _plot_basemap_into_axes
cmap=colormap)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 567, in with_transform
return plotfunc(self,x,y,*args,**kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 3262, in scatter
self._restore_hold(ax)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 3238, in _restore_hold
ax._hold = self._tmp_hold
AttributeError: can't set attribute
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/tests/test_event.py", line 559, in test_catalog_plot_ortho_longitude_wrap
water_fill_color='b')
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/event/catalog.py", line 766, in plot
show=False, fig=fig, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 786, in plot_map
return plot_basemap(*args, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 249, in plot_basemap
**kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 470, in _plot_basemap_into_axes
cmap=colormap)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 567, in with_transform
return plotfunc(self,x,y,*args,**kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 3262, in scatter
self._restore_hold(ax)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 3238, in _restore_hold
ax._hold = self._tmp_hold
AttributeError: can't set attribute
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/tests/test_event.py", line 135, in test_plot_farfield_without_quiver_with_maps
['p_sphere', 's_sphere']], outfile=ic.name)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/event/event.py", line 259, in plot
**kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/event/catalog.py", line 759, in plot
show=False, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 470, in _plot_basemap_into_axes
cmap=colormap)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 567, in with_transform
return plotfunc(self,x,y,*args,**kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 3262, in scatter
self._restore_hold(ax)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 3238, in _restore_hold
ax._hold = self._tmp_hold
AttributeError: can't set attribute
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/tests/test_inventory.py", line 637, in test_combined_station_event_plot
fig = inv.plot(show=False)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/inventory/inventory.py", line 894, in plot
title=None, show=False, fig=fig, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 777, in plot_map
return plot_basemap(*args, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 249, in plot_basemap
**kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 470, in _plot_basemap_into_axes
cmap=colormap)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 567, in with_transform
return plotfunc(self,x,y,*args,**kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 3262, in scatter
self._restore_hold(ax)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 3238, in _restore_hold
ax._hold = self._tmp_hold
AttributeError: can't set attribute
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/tests/test_inventory.py", line 586, in test_location_plot_global
inv.plot(outfile=ic.name)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/inventory/inventory.py", line 894, in plot
title=None, show=False, fig=fig, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 777, in plot_map
return plot_basemap(*args, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 249, in plot_basemap
**kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 470, in _plot_basemap_into_axes
cmap=colormap)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 567, in with_transform
return plotfunc(self,x,y,*args,**kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 3262, in scatter
self._restore_hold(ax)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 3238, in _restore_hold
ax._hold = self._tmp_hold
AttributeError: can't set attribute
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/tests/test_inventory.py", line 619, in test_location_plot_local
outfile=ic.name)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/inventory/inventory.py", line 894, in plot
title=None, show=False, fig=fig, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 786, in plot_map
return plot_basemap(*args, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 249, in plot_basemap
**kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 470, in _plot_basemap_into_axes
cmap=colormap)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 567, in with_transform
return plotfunc(self,x,y,*args,**kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 3262, in scatter
self._restore_hold(ax)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 3238, in _restore_hold
ax._hold = self._tmp_hold
AttributeError: can't set attribute
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/tests/test_inventory.py", line 599, in test_location_plot_ortho
colormap='Set3', color_per_network=True, outfile=ic.name)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/inventory/inventory.py", line 894, in plot
title=None, show=False, fig=fig, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 786, in plot_map
return plot_basemap(*args, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 249, in plot_basemap
**kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 470, in _plot_basemap_into_axes
cmap=colormap)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 567, in with_transform
return plotfunc(self,x,y,*args,**kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 3262, in scatter
self._restore_hold(ax)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 3238, in _restore_hold
ax._hold = self._tmp_hold
AttributeError: can't set attribute
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/tests/test_network.py", line 289, in test_location_plot_global
net.plot(method='basemap', outfile=ic.name)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/inventory/network.py", line 557, in plot
show=False, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 786, in plot_map
return plot_basemap(*args, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 249, in plot_basemap
**kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 470, in _plot_basemap_into_axes
cmap=colormap)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 567, in with_transform
return plotfunc(self,x,y,*args,**kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 3262, in scatter
self._restore_hold(ax)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 3238, in _restore_hold
ax._hold = self._tmp_hold
AttributeError: can't set attribute
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/tests/test_network.py", line 321, in test_location_plot_local
size=13**2, outfile=ic.name)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/inventory/network.py", line 557, in plot
show=False, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 786, in plot_map
return plot_basemap(*args, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 249, in plot_basemap
**kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 470, in _plot_basemap_into_axes
cmap=colormap)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 567, in with_transform
return plotfunc(self,x,y,*args,**kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 3262, in scatter
self._restore_hold(ax)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 3238, in _restore_hold
ax._hold = self._tmp_hold
AttributeError: can't set attribute
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/tests/test_network.py", line 302, in test_location_plot_ortho
color='yellow', label=False, outfile=ic.name)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/inventory/network.py", line 557, in plot
show=False, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 786, in plot_map
return plot_basemap(*args, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 249, in plot_basemap
**kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/maps.py", line 470, in _plot_basemap_into_axes
cmap=colormap)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 567, in with_transform
return plotfunc(self,x,y,*args,**kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 3262, in scatter
self._restore_hold(ax)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 3238, in _restore_hold
ax._hold = self._tmp_hold
AttributeError: can't set attribute
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/signal/tests/test_cross_correlation.py", line 86, in test_correlate_deprecated_domain_keyword
self.assertEqual(len(w), 2)
AssertionError: 3 != 2
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/signal/tests/test_spectral_estimation.py", line 775, in test_ppsd_spectrogram_plot
fig.savefig(ic.name)
File "/home/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/util/testing.py", line 509, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: ppsd_spectrogram.png
	RMS: 55.65189903917625
	Tolerance: 45.0
	Expected: https://i.imgur.com/PPtZgdA.png
	Actual: https://i.imgur.com/wdhEHAM.png
	Diff: https://i.imgur.com/X5PGTG3.png

Skipped Tests (31)

Submodule Test Skip Message
clients.arclink test_m2crypto (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) M2Crypto is not installed
clients.arclink test_pycrypto (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) PyCrypto is not installed
clients.seedlink test_info (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually
clients.seedlink test_issue708 (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually
clients.seedlink test_time_window (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually
clients.seishub test_get_channel_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_coordinates (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_event_list (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_location_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_network_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_paz (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_preview (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_preview_by_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_station_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_waveform_with_metadata (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_waveforms (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_localcache (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_ping (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
core test_flake8 (obspy.core.tests.test_code_formatting.CodeFormattingTestCase) Formatting tests require at least flake8 3.0.
core test_catalog_plot_global (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_local (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho_longitude_wrap (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_location_plot_global (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_global (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
geodetics test_gps_2_dist_azimuth_bug150 (obspy.geodetics.tests.test_util_geodetics.UtilGeodeticsTestCase) Module geographiclib is installed, not using calc_vincenty_inverse
imaging test_script_plot (obspy.imaging.tests.test_mopad_script.MopadTestCase) Currently broken until further review.

Slowest Tests (20)

Runtime Test
25.681s test_get_waveform_instrument_change (obspy.clients.arclink.tests.test_client.ClientTestCase)
23.927s test_get_networks (obspy.clients.arclink.tests.test_client.ClientTestCase)
20.278s test_get_routing (obspy.clients.arclink.tests.test_client.ClientTestCase)
18.111s test_get_inventory (obspy.clients.arclink.tests.test_client.ClientTestCase)
16.487s test_get_waveform_with_metadata (obspy.clients.arclink.tests.test_client.ClientTestCase)
15.688s test_response_calculation_from_seed_and_xseed (obspy.io.xseed.tests.test_core.CoreTestCase)
14.662s test_get_waveform_with_dcid_key_file (obspy.clients.arclink.tests.test_decrypt.ClientTestCase)
13.697s test_get_stations (obspy.clients.arclink.tests.test_client.ClientTestCase)
12.529s __init__ (obspy.taup)
12.270s test_save_waveform_no_compression (obspy.clients.arclink.tests.test_client.ClientTestCase)
12.074s test_issue_311 (obspy.clients.arclink.tests.test_client.ClientTestCase)
11.652s test_issue_372 (obspy.clients.arclink.tests.test_client.ClientTestCase)
11.014s test_eida_token_resolution (obspy.clients.fdsn.tests.test_client.ClientTestCase)
10.474s test_ppsd_restricted_stacks (obspy.signal.tests.test_spectral_estimation.PsdTestCase)
10.212s test_delayed_request (obspy.clients.arclink.tests.test_client.ClientTestCase)
9.891s test_get_waveform (obspy.clients.arclink.tests.test_client.ClientTestCase)
9.478s __init__ (obspy.clients.arclink)
8.874s test_save_waveform_compressed (obspy.clients.arclink.tests.test_client.ClientTestCase)
8.817s test_shoot_existing_ray_param (obspy.taup.tests.test_seismic_phase.TauPySeismicPhaseTestCase)
8.500s test_get_inventory_twice (obspy.clients.arclink.tests.test_client.ClientTestCase)

Chuck Norris Fact

To Chuck Norris, everything contains a vulnerability.